Subject: Re: [PATCH] Traffic control cgroups subsystem

From: Patrick McHardy <[email-masked]>
Date: Tue, 22 Jul 2008 12:35:09 +0200

Ranjit Manomohan wrote:
> 
> [Take 2] - Incorporated comments from Patric McHardy & Li Zefan.
> 
> This patch provides a simple resource controller (cgroup_tc) based on the
> cgroups infrastructure to manage network traffic. The cgroup_tc resource
> controller can be used to schedule and shape traffic belonging to the 
> task(s)
> in a particular cgroup.
> 
> The implementation consists of two parts:
> 
> 1) A resource controller (cgroup_tc) that is used to associate packets from
>    a particular task belonging to a cgroup with a traffic control class 
> id (
>    tc_classid). This tc_classid is propagated to all sockets created by 
> tasks
>    in the cgroup and from there to all packets associated with those 
> sockets.
> 
> 2) A modified traffic control classifier (cls_flow) that can classify 
> packets
>    based on the tc_classid field in the packet to specific destination 
> classes.

Does this really have to be a new skb member? You could
simply use skb->sk->sk_cgroup_classid directly, or if
that doesn't work, maybe skb->priority.